<!-- 

The code provided below has been thoroughly tested and is guaranteed to work correctly.

However, it is possible that some of the code may become outdated due to updates and cause errors.
In such cases, please send an email to (SCode.info) with the following code and a description of the error,
 so that we can update the code and fix any potential problems.

-->

<!-- Copy to header.php -->
<title>
  <?php
    if ( is_home() ) {
      bloginfo( 'name' );
    } elseif ( is_single() ) {
      single_post_title();
    } elseif ( is_category() ) {
    $category_title = single_cat_title( '', false );
     print( 'Category &Sc; ' . $category_title );
     // single_cat_title();     // WordPress default code for category page
    } elseif ( is_tag() ) {
      $tag_title = single_tag_title( '', false );
      print( 'Tag &Sc; ' . $tag_title );
      // single_tag_title();    // WordPress default code for tag page
    } elseif ( is_archive() ) {
      the_archive_title();
    } elseif ( is_page() ) {
      single_post_title();
    } elseif ( is_search() ) {
      print( 'Search &Sc; ' . get_search_query() );
    // get_search_query();
    } elseif ( is_404() ) {
      print( 'Page Not Found!' );
    }
  ?>
</title>